Subject: bug#19368: 25.0.50; NSM prompt is not self-explanatory enough

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Dec 2014 18:02:33 +0200

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Date: Sun, 14 Dec 2014 09:12:21 +0100
> 
> Yeah.  But shouldn't we have a general multiple-choice library function
> for these (sort of) extended y-or-n-p functions?
> 
> While writing the NSM function, I was looking around for one, but the
> only thing I found was `gnus-multiple-choice'.  :-)  So I had
> implemented this before.  A call using that function here would be
> 
> (gnus-multiple-choice "Continue connecting?" '((?a "always")
>                                                (?s "session only")
>                                                (?n "no")))
> 
> Or something.  If the user types something else, you get a help buffer
> and stuff.
> 
> Shall I make that into a general function (it needs some tweaking in the
> prompting department)?

Sounds useful, thanks.  Bonus points for optionally popping a dialog
(via x-popup-dialog) when the command was invoked by a mouse.

Btw, if you do that, userlock.el cries for using this functionality,
and likewise hack-local-variables-confirm.